Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  <20062007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  <20062007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017 
<== Date ==> <== Thread ==>

Subject: Re: archiveViewer JSP build, archiver under R3.14.8
From: Kay-Uwe Kasemir <kasemirk@ornl.gov>
To: tech talk <tech-talk@aps.anl.gov>
Date: Wed, 15 Mar 2006 14:01:33 -0500
Hi:

Slightly related...

The ChannelArchiver toolset is undergoing a little rework:
- Use C++ exceptions (again) to get better error handling,
  most important: error messages.
- Adapt to EPICS base R3.14.8:
  R3.14.8 contains an 'assert' in the epicsTime class to
  assert that the nanoseconds of a time stamps are below 10^9.
  Makes a lot of sense to have such normalized time stamps.
  Except that the java viewer routinely requests start/end
  times with nonsense nanoseconds because of an overflow bug.
  And some of our IOCs also sometimes seem to produce bad time stamps.
  Long story short is that the archiver toolset would
  often stop in that assert when compiled/linked with R3.14.8,
  so safeguards are being added.
- Extend the mechanism behind the 'archive daemon' to run
  on >1 computer, possibly using separate 'sampling' and
  'serving' machines, to better handle the amount of data
  that we have at the SNS.

We need 1-2 more weeks to check if it's all working as planned
and update the manual, then it'll be on the archive web page.

-Kay

On Mar 15, 2006, at 13:34 , Jiro Fujita wrote:
Vladimir,
We (Creighton University STAR/RHIC slow control team) have encountered
the same problem a month or so ago.  We were trying to install Archive
Viewer on Scientific Linux 3.0.5.  After spending hours trying to fix
the  similar errrors (including the same one for that matter), Here is
what we discovered.  In the essence, we uninstalled Apache ANT that
came installed with SL3, and installed separately build version I
found on the web.
Here is what I posted on the Tech-talk once I found the solution:

http://www.aps.anl.gov/epics/tech-talk/2006/msg00219.php


References:
archiveViewer JSP build Vladimir Sirotenko
Re: archiveViewer JSP build Jiro Fujita

Navigate by Date:
Prev: bc635 driver bug (Bancomm) Al Honey
Next: JAC and GEMINI! Al Honey
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  <20062007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017 
Navigate by Thread:
Prev: Re: archiveViewer JSP build Jiro Fujita
Next: Re: archiveViewer JSP build Jiro Fujita
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  <20062007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017 
ANJ, 02 Sep 2010 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·